import React, { Component } from 'react';

export default class Row extends Component {
  constructor(props) {
    super(props);
    this.state = {};
  }                 
  
  static getDerivedStateFromProps(props, state) {
    return { row: props.row.slice() };
  }
  
  shouldComponentUpdate(props, state) {
    return props.row[0] !== this.state.row[0];
  }
  
  render() {
    return <tr onClick={ () => this.props.changeRow(this.props.index) }>
    {
      this.state.row.map((column, index) => <td key={ index.toString()}>{ column }</td>)
    }
    </tr>;    
  }
}